Bug 1261914 - Improper listing of snaps on FUSE client when the dir under mount point is recreated.
Improper listing of snaps on FUSE client when the dir under mount point is re...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot (Show other bugs)
3.1
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: rjoseph
storage-qa-internal@redhat.com
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 08:27 EDT by Shashank Raj
Modified: 2017-09-29 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
automation script and logs (14.53 KB, application/vnd.oasis.opendocument.text)
2015-09-10 08:27 EDT, Shashank Raj
no flags Details

  None (edit)
Description Shashank Raj 2015-09-10 08:27:56 EDT
Created attachment 1072156 [details]
automation script and logs

Description of problem:

Improper listing of snaps on FUSE client when the dir under mount point is recreated.

Version-Release number of selected component (if applicable):

3.7.1-14


How reproducible:

Through Automation script

Steps to Reproduce:

1. Create, start and mount the volume on client.
2. Make a directory on the mount point and some files under it.
3. Create a snapshot of the volume say snap0 and activate it.
4. Enable the USS feature.
5. check for the snapd process on all the nodes.
6. remove the earlier created directory from the mount point.
7. create another snapshot of the volume say snap1 and activate it.
8. Make the directory again under /mnt/glusterfs with the same name.
9. cd to /mnt/glusterfs/dir/.snaps and list the contents. Observe that it shows the entry for the created snapshots.
10.now cd to /mnt/glusterfs/dir/.snaps/snap0 and /mnt/glusterfs/dir/.snaps/snap1, observe that the script returns a good status for it even though it should not allow and should give error "Stale file handle"

Actual results:

Expected results:

It should give proper error message  "Stale file handle" while cd to /mnt/glusterfs/dir/.snaps/snap0 and /mnt/glusterfs/dir/.snaps/snap1,


Additional info:

logs and script from automation are attached for the reference.
Comment 2 Shashank Raj 2016-02-03 03:40:47 EST
Reproducible every time through automated tests. Should be looked upon.

Note You need to log in before you can comment on or make changes to this bug.